series: focal
applications:
  containerd:
    charm: containerd
    channel: 1.24/stable
    revision: 27
  easyrsa:
    charm: easyrsa
    channel: 1.24/stable
    revision: 15
    resources:
      easyrsa: 2
    num_units: 1
    to:
    - "0"
    constraints: arch=amd64
  etcd:
    charm: etcd
    channel: 1.24/stable
    revision: 701
    resources:
      core: 0
      etcd: 3
      snapshot: 0
    num_units: 1
    to:
    - "0"
    options:
      channel: 3.4/stable
    constraints: arch=amd64
    storage:
      data: loop,1024M
  kubernetes-control-plane:
    charm: kubernetes-control-plane
    channel: 1.24/stable
    revision: 171
    resources:
      cdk-addons: 4
      cni-amd64: 162
      cni-arm64: 162
      cni-s390x: 162
      core: 4
      kube-apiserver: 4
      kube-controller-manager: 4
      kube-proxy: 4
      kube-scheduler: 4
      kubectl: 4
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      authorization-mode: AlwaysAllow
      channel: 1.22/stable
      enable-dashboard-addons: false
      enable-metrics: false
      service-cidr: 10.96.0.0/12
      snapd_refresh: max
    constraints: arch=amd64
  kubernetes-worker:
    charm: kubernetes-worker
    channel: 1.24/stable
    revision: 44
    resources:
      cni-amd64: 44
      cni-arm64: 44
      cni-s390x: 44
      core: 1
      kube-proxy: 1
      kubectl: 1
      kubelet: 1
    num_units: 1
    to:
    - "1"
    expose: true
    options:
      channel: 1.22/stable
      ingress: false
      snapd_refresh: max
    constraints: arch=amd64
  ntp:
    charm: ntp
    channel: stable
    revision: 52
  tf-agent:
    charm: local:contrail-agent-0
    options:
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-2_3_1_7-1
      kernel-hugepages-2m: "256"
      log-level: SYS_DEBUG
  tf-analytics:
    charm: local:contrail-analytics-0
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-2_3_1_7-1
      log-level: SYS_DEBUG
      min-cluster-size: 1
    constraints: arch=amd64
  tf-analyticsdb:
    charm: local:contrail-analyticsdb-0
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      cassandra-jvm-extra-opts: -Xms1g -Xmx2g
      cassandra-minimum-diskgb: "4"
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-2_3_1_7-1
      log-level: SYS_DEBUG
      min-cluster-size: 1
    constraints: arch=amd64
  tf-controller:
    charm: local:contrail-controller-0
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      auth-mode: no-auth
      cassandra-jvm-extra-opts: -Xms1g -Xmx2g
      cassandra-minimum-diskgb: "4"
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      encap-priority: MPLSoUDP,MPLSoGRE,VXLAN
      image-tag: master-2_3_1_7-1
      log-level: SYS_DEBUG
      min-cluster-size: 1
    constraints: arch=amd64
  tf-kubernetes-master:
    charm: local:contrail-kubernetes-master-0
    options:
      cluster_name: k8s
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-2_3_1_7-1
      ip_fabric_snat: true
      log-level: SYS_DEBUG
      public_fip_pool: '{''domain'':''default-domain'',''project'':''k8s-default'',''name'':''__fip_pool_public__'',''network'':''__public__''}'
  tf-kubernetes-node:
    charm: local:contrail-kubernetes-node-0
    options:
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-2_3_1_7-1
      log-level: SYS_DEBUG
  ubuntu:
    charm: ubuntu
    channel: stable
    revision: 24
    num_units: 2
    to:
    - "0"
    - "1"
    constraints: arch=amd64
    storage:
      block: loop,100M
      files: rootfs,100M
machines:
  "0":
    constraints: arch=amd64 mem=3584
  "1": {}
relations:
- - kubernetes-control-plane:kube-control
  - kubernetes-worker:kube-control
- - kubernetes-control-plane:certificates
  - easyrsa:client
- - etcd:certificates
  - easyrsa:client
- - kubernetes-control-plane:etcd
  - etcd:db
- - kubernetes-worker:certificates
  - easyrsa:client
- - containerd:containerd
  - kubernetes-worker:container-runtime
- - containerd:containerd
  - kubernetes-control-plane:container-runtime
- - ubuntu:juju-info
  - ntp:juju-info
- - tf-controller:contrail-analytics
  - tf-analytics:contrail-analytics
- - tf-controller:contrail-analyticsdb
  - tf-analyticsdb:contrail-analyticsdb
- - tf-analytics:contrail-analyticsdb
  - tf-analyticsdb:contrail-analyticsdb
- - tf-agent:contrail-controller
  - tf-controller:contrail-controller
- - tf-kubernetes-master:contrail-controller
  - tf-controller:contrail-controller
- - tf-kubernetes-master:contrail-kubernetes-config
  - tf-kubernetes-node:contrail-kubernetes-config
- - tf-kubernetes-node:cni
  - kubernetes-control-plane:cni
- - tf-kubernetes-node:cni
  - kubernetes-worker:cni
- - tf-kubernetes-master:kube-api-endpoint
  - kubernetes-control-plane:kube-api-endpoint
- - tf-agent:juju-info
  - kubernetes-worker:juju-info
